<template>
  <div>
    <h2>Редактирование оборудования</h2>
    <b-form @submit="update">
      <b-form-group label="Наименование:">
        <b-form-input v-model="form.title" required placeholder="Наименование" />
      </b-form-group>
      <b-form-group label="Цена:">
        <b-form-input v-model="form.price" type="number" number no-wheel required />
      </b-form-group>
      <b-form-group label="Первоначальный взнос:">
        <b-form-input v-model="form.initial_fee" type="number" number no-wheel required />
      </b-form-group>
      <b-form-group label="Доступен:">
        <b-form-checkbox v-model="form.is_available">Доступен</b-form-checkbox>
      </b-form-group>
      <b-button type="submit" variant="primary">
        Редактировать
      </b-button>
      <nuxt-link tag="button" class="btn btn-outline-secondary" :to="{path: `/equipment/${form._id}`}">Назад</nuxt-link>
    </b-form>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  asyncData ({ $config: { baseURL }, params }) {
    return axios.get(`${baseURL}/equipment/${params.id}`).then((resp) => { return { form: resp.data, baseURL } })
  },
  data () {
    return {
      form: {
        title: '',
        price: null,
        initial_fee: null,
        is_available: true,
        data: {}
      }
    }
  },
  head () {
    return {
      title: 'Редактирование оборудования'
    }
  },
  methods: {
    async update (e) {
      e.preventDefault()
      const response = await axios.patch(`${this.baseURL}/equipment/${this.form._id}`, this.form)
      this.form = response.data
    }
  }
}
</script>

<style scoped>

</style>
